> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a price relay rule

> Update a price relay rule by ID.



## OpenAPI

````yaml /swagger/management-api.json put /api/v1/{team_slug}/{app_slug}/price-relay-rules/{rule_id}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/price-relay-rules/{rule_id}:
    put:
      tags:
        - PriceRelayRules
      summary: Update a price relay rule
      description: Update a price relay rule by ID.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: Price relay rule ID
          in: path
          name: rule_id
          required: true
          schema:
            type: string
      requestBody:
        $ref: >-
          #/components/requestBodies/internal_pkg_webserver_v1.InputPriceRelayRule
      responses:
        '200':
          description: price relay rule updated successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponsePriceRelayRule
        '400':
          description: Invalid request (e.g. bad payload, validation error)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '409':
          description: Conflict (e.g. already exists)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  requestBodies:
    internal_pkg_webserver_v1.InputPriceRelayRule:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/internal_pkg_webserver_v1.InputPriceRelayRule'
      description: price relay rule details
      required: true
  schemas:
    internal_pkg_webserver_v1.OkResponsePriceRelayRule:
      properties:
        data:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceRelayRule
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.InputPriceRelayRule:
      properties:
        name:
          type: string
        percentage_of_source:
          type: integer
        percentage_of_source_decimals:
          type: integer
        relay_sale_price:
          type: boolean
        source_market_slug:
          type: string
        source_store_group_slug:
          type: string
        target_market_slug:
          type: string
        target_store_group_slug:
          type: string
      required:
        - name
        - source_market_slug
        - source_store_group_slug
        - target_market_slug
        - target_store_group_slug
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceRelayRule:
      properties:
        app_id:
          type: string
        created_at:
          type: string
        id:
          type: string
        name:
          type: string
        percentage_of_source:
          type: integer
        percentage_of_source_decimals:
          type: integer
        relay_sale_price:
          type: boolean
        source_market:
          type: string
        source_market_slug:
          type: string
        source_store_group:
          type: string
        source_store_group_slug:
          type: string
        target_market:
          type: string
        target_market_slug:
          type: string
        target_store_group:
          type: string
        target_store_group_slug:
          type: string
        updated_at:
          type: string
      type: object

````